import { Datasource, DatasourceQuery } from '../../connectors';

import { AxiosResponse } from 'axios';


export abstract class QueryService {
  constructor(protected _datasource: Datasource) { }

  // TODO: we don't need `apiKey` here, we need some abstract auth config for both Direct and Grafana queries
  abstract query(query: DatasourceQuery, apiKey?: string): Promise<AxiosResponse<any>>;
}
