import { DatasourceType } from './connectors';


export class TsdbKitError extends Error {
  constructor(
    message: string,
    public datasourceType?: DatasourceType,
    public datasourceUrl?: string
  ) {
    super(message);
  }
};

export class BadRange extends TsdbKitError {};
export class DatasourceUnavailable extends TsdbKitError {};
